[vdr] [ANNOUNCE] VDR developer version 1.3.31

Lauri Tischler lwgt at iki.fi
Wed Aug 31 07:50:10 CEST 2005


Klaus Schmidinger wrote:

> Lauri Tischler wrote:
> 
>> Kimmo Vuorinen wrote:
>>
>>> Lauri Tischler wrote:
>>>
>>>> +If you are using newer ver. 2.6.x kernels with builtin drivers.
>>>> +copy Make.config.template into Make.config and replace in the line
>>>> +'DVBDIR   = ../DVB' the location '../DVB' with the location of your
>>>> +kernels sourcetree, typically '/usr/src/linux',
>>>> +ie. DVBDIR    = /usr/src/linux
>>>
>>>
>>>
>>>
>>> I think required kernel headers can be more distro independently 
>>> found in DVBDIR=/lib/modules/`uname -r`/build providing distro is 
>>> based on 2.6 kernel.
>>>
>>> Distributions provide this link or directory and required files when 
>>> following packages are installed:
>>> Fedora: kernel, kernel-devel
>>> Suse: kernel-default, kernel-source
>>> Debian: kernel-image, kernel-headers or kernel-source
>>
>>
>>
>> Umm.. yes, replace line DVBDIR=../DVB in all Makefiles with
>> ----
>> case `uname -r` in
>>     2.6.*)
>>         DVBDIR=lib/modules/`uname -r`/build
>>         ;;
>>     *)
>>         DVBDIR=../DVB
>>         ;;
>> esac
>> ----
>> Must be done also in plugins
> 
> 
> Wouldn't
> 
> case `uname -r` in
>     2.4.*)
>         DVBDIR=../DVB
>         ;;
>     *)
>         DVBDIR=lib/modules/`uname -r`/build
>         ;;
> esac
> 
> be better? Otherwise kernel 2.7 and up would use the "old" driver again...

Of course.  Is bleeding edge 2.7.x allready open ?




More information about the vdr mailing list